package com.hzs.system.base.service.impl;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hzs.common.domain.system.base.BdNoticeDetail;
import com.hzs.system.base.mapper.BdNoticeDetailMapper;
import com.hzs.system.base.service.IBdNoticeDetailService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 公告详情表 服务实现类
 * </p>
 *
 * @author hzs
 * @since 2023-06-19
 */
@Service
public class BdNoticeDetailServiceImpl extends ServiceImpl<BdNoticeDetailMapper, BdNoticeDetail> implements IBdNoticeDetailService {

    @Override
    public BdNoticeDetail selectNoticeDetailByPkNoticeId(Long pkId, Long pkMember) {
        QueryWrapper<BdNoticeDetail> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("PK_NOTICE", pkId);
        queryWrapper.eq("PK_MEMBER", pkMember);
        return baseMapper.selectOne(queryWrapper);

    }
}
